import { ContentType } from '../enums/content-type.enum';
import { Currency } from '../enums/currency.enum';

export interface ContentFilterPriceOptions {
  currency?: Currency;
  min?: number;
  max?: number;
}

export interface ContentFilterOptions {
  search?: string;
  contentTypes?: ContentType[];
  pricing?: ContentFilterPriceOptions[];
  onSale?: boolean;
}
