import { natsClient } from '@freeblox/shared';
import { Module } from '@nestjs/common';
import { ClientsModule } from '@nestjs/microservices';
import { AssetsController } from './assets.controller';
import { HttpModule } from '@nestjs/axios';

@Module({
  imports: [
    ClientsModule.register([natsClient('assets'), natsClient('auth')]),
    HttpModule,
  ],
  controllers: [AssetsController],
})
export class AssetsModule {}
