import { natsClient } from '@freeblox/shared';
import { Module } from '@nestjs/common';
import { ClientsModule } from '@nestjs/microservices';
import { AuthController } from './auth.controller';

@Module({
  imports: [ClientsModule.register([natsClient('auth')])],
  controllers: [AuthController],
})
export class AuthModule {}
