import { ApiProperty } from '@nestjs/swagger';
import { AuthChallenge } from 'apps/auth/src/enums/challenge.enum';

export class ChallengeRequestDto {
  @ApiProperty({ type: String, enum: AuthChallenge })
  challenge: AuthChallenge;

  @ApiProperty()
  secret: string;

  @ApiProperty()
  body: Record<string, string>;
}
