import { natsClient } from '@freeblox/shared';
import { Module } from '@nestjs/common';
import { ClientsModule } from '@nestjs/microservices';
import { CatalogController } from './catalog.controller';

@Module({
  imports: [
    ClientsModule.register([natsClient('catalog'), natsClient('auth')]),
  ],
  controllers: [CatalogController],
})
export class CatalogModule {}
