import { ClientProviderOptions, Transport } from '@nestjs/microservices';

export const natsClient = (name: string) =>
  <ClientProviderOptions>{
    name,
    transport: Transport.NATS,
    options: {
      servers: [String(process.env.NATS_ENTRYPOINT)],
    },
  };
