import * as crypto from 'crypto';
import { v4 } from 'uuid';

export const generateString = (length: number): string =>
  crypto.randomBytes(length).toString('hex').slice(0, length);

export const generateSecret = (): string =>
  crypto.randomBytes(256 / 8).toString('hex');

export const insecureHash = (input: string): string =>
  crypto.createHash('md5').update(input).digest('hex');

export const createUUID = (): string => v4();
