import { ApiProperty } from '@nestjs/swagger';

export class UserDto {
  @ApiProperty()
  id: string;

  @ApiProperty()
  username: string;

  @ApiProperty()
  email: string;

  @ApiProperty({ nullable: true })
  phone: string;

  @ApiProperty({ nullable: true })
  country: string;

  @ApiProperty()
  language: string;

  @ApiProperty({ nullable: true })
  displayName: string;

  @ApiProperty()
  verified: boolean;

  @ApiProperty()
  activated: boolean;

  @ApiProperty({ type: Date })
  loginAt: string;
}
