import { ApiProperty } from '@nestjs/swagger';

export class CategoryContentTypeResponseDto {
  @ApiProperty()
  contentType: string;
}

export class CategoryResponseDto {
  @ApiProperty()
  id: number;

  @ApiProperty()
  category: string;

  @ApiProperty({ type: CategoryResponseDto, isArray: true })
  children: CategoryResponseDto[];

  @ApiProperty({ type: CategoryContentTypeResponseDto, isArray: true })
  contentTypes: CategoryContentTypeResponseDto[];
}
