import { Controller } from '@nestjs/common';
import { RenderService } from './services/render.service';
import { MessagePattern } from '@nestjs/microservices';

@Controller()
export class RenderController {
  constructor(private readonly renderService: RenderService) {}

  @MessagePattern('render.assetid')
  async renderAsset({ id }: { id: string }) {
    return this.renderService.render();
  }
}
