import { registerAs } from '@nestjs/config';

export const redisConfig = registerAs('redis', () => ({
  host: String(process.env.REDIS_HOST || 'redis'),
  port: Number(process.env.REDIS_PORT) || 6379,
}));
